using System;
using System.IO;
using Props.Shop.Adafruit.Api;
using Xunit;

namespace Props.Shop.Adafruit.Tests
{
    public class ListingParserTest
    {
        [Fact]
        public void TestParsing()
        {
            ProductListingsParser mockParser = new ProductListingsParser();
            using (Stream stream = File.OpenRead("./Assets/products.json"))
            {
                mockParser.BuildProductListings(stream);
            }
            Assert.NotEmpty(mockParser.ProductListings);
        }
    }
}
