using System;

namespace Props.Shop.Framework
{
    public interface IOption
    {
        public string Name { get; }
        public string Description { get; }
        public bool Required { get; }
        public string GetValue();
        public bool SetValue(string value);
        public Type Type { get; }
    }
}