using System;
using System.Collections;
using System.Collections.Generic;
using System.Threading.Tasks;
using Props.Models.Search;
using Props.Shop.Framework;

namespace Props.Services.Modules
{
    public interface IShopManager : IAsyncDisposable
    {
        public ValueTask<IEnumerable<string>> GetAllShopNames();
        public ValueTask<IShop> GetShop(string name);
        public ValueTask<IEnumerable<IShop>> GetAllShops();
    }
}