using System.Linq;
using Microsoft.Extensions.Logging;
using Props.Shop.Framework;
using Xunit;

namespace Props.Shop.Adafruit.Tests
{
    public class AdafruitShopTest
    {
        [Fact]
        public async void TestSearch()
        {
            AdafruitShop mockAdafruitShop = new AdafruitShop();
            await mockAdafruitShop.Initialize(null, LoggerFactory.Create(builder =>
            {
                builder.AddXUnit();
            }));
            Assert.NotEmpty(mockAdafruitShop.Search("raspberry pi", new Filters()).ToEnumerable());
        }
    }
}