namespace Props.Shop.Adafruit.Persistence
{
    public class Configuration
    {
        public const string FILE_NAME = "config.json";
        public int MinDownloadInterval { get; set; }
        public int CacheLifespan { get; set; }
        public float Similarity { get; set; }

        public Configuration()
        {
            MinDownloadInterval = 5 * 60 * 1000;
            Similarity = 0.8f;
            CacheLifespan = 5 * 60 * 1000;
        }
    }
}