using System.Collections.Generic;
using System.Threading.Tasks;
using Props.Models.Search;
using Props.Shop.Framework;

namespace Props.Services.Modules
{
    public interface ISearchManager
    {
        public IShopManager ShopManager { get; }
        public Task<IEnumerable<ProductListing>> Search(string query, SearchOutline searchOutline);
    }
}